/ lang / super
SUPER
Syntax

    SUPER

Return a reference to the current object that will use the symbol implementation of the inherited class.

### Examples

    ' MyListBox class
    INHERITS ListBox

    PRIVATE $cPos AS NEW Collection
    PRIVATE $aKey AS NEW String[]
    ...

    ' Reimplements the Add method
    PUBLIC SUB Add(Text AS String, Key AS String, OPTIONAL Pos AS Integer = -1)

      ' Adds the item to the list box
      SUPER.Add(Text, Key, Pos)
      ' Adds the key to key array
      IF Pos \< 0 THEN
        $cPos.Clear
        $cPos[Key] = $aKey.Count
        $aKey.Add(Key)
      ELSE
        $aKey.Add(Key, Pos)
      ENDIF

    END
    ...

### See also

Object & Class Management